Bug 198678 - Add a quirk for washingtonpost.com and nytimes.com
Summary: Add a quirk for washingtonpost.com and nytimes.com
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-07 14:10 PDT by Sihui Liu
Modified: 2019-06-11 09:27 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.46 KB, patch)
2019-06-07 14:11 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2019-06-07 14:10:08 PDT
Similar to https://bugs.webkit.org/show_bug.cgi?id=195155. Enable WebSQL for these sites for now.
Comment 1 Sihui Liu 2019-06-07 14:11:40 PDT
Created attachment 371609 [details]
Patch
Comment 2 Geoffrey Garen 2019-06-10 14:21:50 PDT
Comment on attachment 371609 [details]
Patch

r=me

Given that this is more than just one site now, I think we need a follow-up bug to reduce the scope and impact of this quirk.

Specifically, I'd recommend the following behavior: If we're on a site where this quirk is enabled, make available a global function named openDatabase. If the function is called with four arguments, and all arguments are null, then return an empty object. Otherwise, throw an exception that says "WebSQL is not enabled".
Comment 3 WebKit Commit Bot 2019-06-11 09:26:35 PDT
Comment on attachment 371609 [details]
Patch

Clearing flags on attachment: 371609

Committed r246319: <https://trac.webkit.org/changeset/246319>
Comment 4 WebKit Commit Bot 2019-06-11 09:26:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-06-11 09:27:17 PDT
<rdar://problem/51626476>